Create reference
createReferencePermiso program
Create an OC (a referencia, a cut of a garment) at the end of a módulo’s «Programa», as «Nueva referencia» does.
/v1/external/organizations/{organizationId}/referencesAutorización
apiToken An API token created in Configuración › Tokens de API, or a connected app’s access token
En: header
Parámetros de ruta
The organization, from getMe or listOrganizations.
Encabezados
A fresh unique string per intended write (1 to 255 visible ASCII characters). Sent again unchanged only to retry THAT write after a timeout or a 409 IDEMPOTENCY_IN_PROGRESS: the stored answer comes back (Idempotency-Replayed: true) and nothing is written twice. The same key with another request is a 422 IDEMPOTENCY_KEY_REUSED.
1 <= length <= 255Cuerpo de la solicitud
application/json
Definiciones de TypeScript
Usa el tipo request body en TypeScript.
Respuestas
application/json
application/json
curl -X POST "https://api.fluenta.io/v1/external/organizations/0/references" \ -H "Authorization: Bearer fluenta_live_XXXX" \ -H "Content-Type: application/json" \ -d '{ "moduleId": 1, "name": "string", "goal": 1 }'{ "id": 0, "status": "in_program", "moduleId": 0, "moduleName": "string", "position": 0, "name": "string", "orderNumber": "string", "garment": "string", "companyAdminId": 0, "otrosClientes": true, "networkOrderId": 0, "priority": true, "total": 0, "produced": 0, "sacrificed": 0, "pendingUnits": 0, "goal": 0, "dayGoal": { "day": "2019-08-24", "goal": 0, "steps": [ { "from": 0, "goal": 0 } ] }, "price": 0, "color": "string", "spliceDate": "2019-08-24T14:15:22Z", "dueDate": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z", "holdSince": "2019-08-24T14:15:22Z", "holdReason": "string", "continuity": true, "splitGroup": "string", "splitMaster": true, "sacrificeNote": "string", "sacrificedAt": "2019-08-24T14:15:22Z", "sacrificedByName": "string", "networkClosedAt": "2019-08-24T14:15:22Z", "anticipated": true, "expectedArrival": "2019-08-24", "arrivedAt": "2019-08-24T14:15:22Z", "step1Name": "string", "step1Goal": 0, "step2Name": "string", "step2Goal": 0, "source": "operator"}